> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Replicar voz en un entorno aislado

POST https://api.elevenlabs.io/v1/voices/{voice_id}/replicate-to-isolated-environment
Content-Type: application/json

Replica una voz de Clonar Voz Instantánea o Voice Design en un espacio de trabajo con una residencia de datos diferente. El espacio de trabajo de destino debe pertenecer al mismo grupo de facturación consolidada. El usuario debe tener VOICES_WRITE en el espacio de trabajo de origen y ser administrador de la voz de origen. Los usuarios humanos (es decir, no las cuentas de servicio) también deben tener VOICES_WRITE en el espacio de trabajo de destino. Esta ruta de API solo está disponible en el entorno central.

Reference: https://elevenlabs.io/docs/api-reference/voices/replicate-to-isolated-environment

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `voice_id` (string, required) — ID de voz que se debe usar; puedes utilizar https://api.elevenlabs.io/v1/voices para enumerar todas las voces disponibles.

### Body (application/json)

This endpoint expects a ReplicateVoiceToIsolatedEnvironmentRequestModel.

- `target_workspace_id` (string, required) — ID del espacio de trabajo en el que se replicará la voz. Debe pertenecer al mismo grupo de facturación consolidada que el espacio de trabajo que realiza la llamada; la residencia de datos de destino se deriva de esa vinculación.
- `preserve_voice_id` (boolean, optional, default: true) — Cuando es true (valor predeterminado), la voz replicada conserva el mismo ID de voz en la residencia de destino; configúralo como false para asignar un nuevo ID de voz.

## Response

### 200

Respuesta correcta.

- `voice_id` (string, required) — ID de voz de la voz replicada en la residencia de destino.

## Errors

### 422 Unprocessable Entity Error

Error de validación

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "target_workspace_id": "string"
}
```

**Response**

```json
{
  "voice_id": "21m00Tcm4TlvDq8ikWAM"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment"

payload = { "target_workspace_id": "string" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"target_workspace_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment"

	payload := strings.NewReader("{\n  \"target_workspace_id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"target_workspace_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment")
  .header("Content-Type", "application/json")
  .body("{\n  \"target_workspace_id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment', [
  'body' => '{
  "target_workspace_id": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"target_workspace_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["target_workspace_id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/voices/21m00Tcm4TlvDq8ikWAM/replicate-to-isolated-environment")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```